Subject: Re: bug#48298: Invalid time specification: encode-time((0 30 11 1 1 0 nil -1 nil))

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 May 2021 11:27:32 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Евгений Михайлов
>  <[email-masked]>,  [email-masked]
> Date: Sun, 09 May 2021 09:19:47 +0100
> 
> > I guess the problem is in decoded-time-set-defaults, if anywhere.
> 
> Lars?

As the minimum fix, perhaps instead of using zero as the missing year
we should use 1970, as zero could not be representable on some
systems.

> BTW I just noticed that decoded-time-set-defaults was mistakenly
> announced in NEWS as encoded-time-set-defaults - should that be fixed on
> emacs-27 or master?

Master, I guess.

> > However, I'm not sure I understand the idea behind your
> > my-mins-between: how did you expect Emacs to guess the year you had in
> > mind?
> 
> The year doesn't matter, since my-mins-between cares only about the
> relative difference between strings of the form "HH:mm", i.e. the hours
> and minutes fields.

Yes, it does matter: see the comment by Andreas.